###############################
# Deploy to k8s using helm v3 #
###############################

stages:
  - build
  - test
  - deploy  # dummy stage to follow the template guidelines
  - review
  - dast
  - staging
  - canary
  - production
  - incremental rollout 10%
  - incremental rollout 25%
  - incremental rollout 50%
  - incremental rollout 100%
  - performance
  - cleanup

include:
  - project: 'cocainefarm/templates/ci'
    file: '/Build.gitlab-ci.yaml'
  - template: Jobs/Deploy.gitlab-ci.yml
  - template: Security/Container-Scanning.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml

.auto-deploy:
  image: "registry.gitlab.com/cocainefarm/templates/auto-deploy-image/master:acb0922ad53e5505bfac21dfc632d7d700a56030"

production:
  environment:
    name: production
    url: http://$KUBE_INGRESS_BASE_DOMAIN


